/******************************************************************************/
/* User Level #define Macros                                                  */
/******************************************************************************/




#define SDA_TRIS TRISAbits.TRISA4
#define SDA_LAT LATAbits.LATA4
#define SDA_PORT PORTAbits.RA4
#define SCL_TRIS TRISAbits.TRISA2
#define SCL_LAT LATAbits.LATA2
#define SCL_PORT PORTAbits.RA2
#define JMP_TRIS TRISCbits.TRISC1
#define JMP_PORT PORTCbits.RC1
#define DE_TRIS TRISCbits.TRISC3
#define DE_LAT LATCbits.LATC3
#define nRE_TRIS TRISCbits.TRISC2
#define nRE_LAT LATCbits.LATC2

#define Nop() asm("NOP")


extern short ADDRESS;

/******************************************************************************/
/* User Function Prototypes                                                   */
/******************************************************************************/



void InitApp(void);         
void Delay();
char RecieveAddressI2C(void);
char RecieveCommandI2C(void);
void WriteFlash(short data, short address);
char ReadFlash(void);
void EraseFlash(void);
void UnlockFlash();
void GetAddressI2C();